import type * as api from '@gitbook/api';
/**
 * Document
 */
export declare function document(nodes: api.DocumentBlocksTopLevels[]): api.Document;
export declare function markdown(markdown: string): api.MarkdownDocument;
/**
 * Blocks
 */
export declare const paragraph: (nodes: api.DocumentInline | api.DocumentText | (api.DocumentInline | api.DocumentText)[], data?: object | undefined) => api.DocumentBlockParagraph;
export declare const heading1: (nodes: api.DocumentInline | api.DocumentText | (api.DocumentInline | api.DocumentText)[], data?: {
    id?: string;
}) => api.DocumentBlockHeading;
export declare const heading2: (nodes: api.DocumentInline | api.DocumentText | (api.DocumentInline | api.DocumentText)[], data?: {
    id?: string;
}) => api.DocumentBlockHeading;
export declare const heading3: (nodes: api.DocumentInline | api.DocumentText | (api.DocumentInline | api.DocumentText)[], data?: {
    id?: string;
}) => api.DocumentBlockHeading;
export declare const listOrdered: (nodes: api.DocumentBlockListItem | api.DocumentBlockListItem[], data?: {
    start?: number;
}) => api.DocumentBlockListOrdered;
export declare const listUnordered: (nodes: api.DocumentBlockListItem | api.DocumentBlockListItem[], data?: object | undefined) => api.DocumentBlockListUnordered;
export declare const listTasks: (nodes: api.DocumentBlockListItem | api.DocumentBlockListItem[], data?: object | undefined) => api.DocumentBlockListTasks;
export declare const quote: (nodes: api.DocumentBlocksEssentials | api.DocumentBlockQuote | (api.DocumentBlocksEssentials | api.DocumentBlockQuote)[], data?: object | undefined) => api.DocumentBlockQuote;
export declare const hint: (nodes: api.DocumentBlocksEssentials | api.DocumentBlocksEssentials[], data?: {
    style: "info" | "warning" | "danger" | "success";
}) => api.DocumentBlockHint;
export declare const images: (nodes: api.DocumentBlockImage | api.DocumentBlockImage[], data?: {
    align?: "center" | "left" | "right";
    fullWidth?: boolean;
}) => api.DocumentBlockImages;
export declare const divider: (data?: object | undefined) => api.DocumentBlockDivider;
export declare const file: (data?: {
    ref: api.ContentRefFile;
} | undefined) => api.DocumentBlockFile;
export declare const openapi: (data?: (api.OpenAPIOperationPointer & {
    ref: api.ContentRefFile | api.ContentRefURL;
    expanded?: boolean;
    fullWidth?: boolean;
}) | undefined) => api.DocumentBlockOpenAPI;
export declare const openapiOperation: (data?: (api.OpenAPIOperationPointer & {
    ref: api.ContentRefOpenAPI;
}) | undefined) => api.DocumentBlockOpenAPIOperation;
/**
 * Code blocks.
 */
export declare const codeblockLine: (nodes: api.DocumentInlineAnnotation | api.DocumentText | (api.DocumentInlineAnnotation | api.DocumentText)[], data?: {
    highlighted?: boolean;
}) => api.DocumentBlockCodeLine;
export declare function codeblock(nodes: string | api.DocumentBlockCodeLine[], data?: api.DocumentBlockCode['data']): api.DocumentBlockCode;
/**
 * Text
 */
export declare function text(text: string | api.DocumentTextLeaf[]): api.DocumentText;
export declare function textLeaf(text: string, marks?: api.DocumentTextMark[]): api.DocumentTextLeaf;
/**
 * Marks
 */
export declare function bold(): api.DocumentMarkBold;
export declare function italic(): api.DocumentMarkItalic;
export declare function code(): api.DocumentMarkCode;
export declare function keyboard(): api.DocumentMarkKeyboard;
export declare function strikethrough(): api.DocumentMarkStrikethrough;
export declare function color(data: api.DocumentMarkColor['data']): api.DocumentMarkColor;
